package com.wdkl.ncs.android.middleware.model.dos;

import com.fasterxml.jackson.databind.PropertyNamingStrategy;
import com.fasterxml.jackson.databind.annotation.JsonNaming;
import com.wdkl.ncs.android.middleware.model.annotation.Column;
import com.wdkl.ncs.android.middleware.model.annotation.Id;
import com.wdkl.ncs.android.middleware.model.annotation.PrimaryKeyField;
import com.wdkl.ncs.android.middleware.model.annotation.Table;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

@Table(name = "ncs_event")
@ApiModel
@JsonNaming(value = PropertyNamingStrategy.SnakeCaseStrategy.class)
public class EventDO implements Serializable {

    /**
     * 事件id
     */
    @Column(name = "id")
    @ApiModelProperty(value = "事件id", required = false)
    @Id(name = "id")
    private Integer id;
    /**
     * 按键唯一标识码
     */
    @Column(name = "key_code")
    @ApiModelProperty(value = "按键唯一标识码", required = false)
    private String keyCode;
    /**
     * null
     */
    @Column(name = "name")
    @ApiModelProperty(value = "null", required = false)
    private String name;
    /**
     * 描述
     */
    @Column(name = "desc")
    @ApiModelProperty(value = "描述", required = false)
    private String desc;
    /**
     * 最新x坐标
     */
    @Column(name = "min_x")
    @ApiModelProperty(value = "最新x坐标", required = false)
    private Integer minX;
    /**
     * 最大x坐标
     */
    @Column(name = "max_x")
    @ApiModelProperty(value = "最大x坐标", required = false)
    private Integer maxX;
    /**
     * 最小y坐标
     */
    @Column(name = "min_y")
    @ApiModelProperty(value = "最小y坐标", required = false)
    private Integer minY;
    /**
     * 最大y坐标
     */
    @Column(name = "max_y")
    @ApiModelProperty(value = "最大y坐标", required = false)
    private Integer maxY;
    /**
     * 类型；如遥控器
     */
    @Column(name = "type")
    @ApiModelProperty(value = "类型；如遥控器", required = false)
    private String type;
    /**
     * null
     */
    @Column(name = "union_id")
    @ApiModelProperty(value = "null", required = false)
    private String unionId;
    /**
     * 创建时间
     */
    @Column(name = "create_time")
    @ApiModelProperty(value = "创建时间", required = false)
    private Long createTime;
    /**
     * 图片地址
     */
    @Column(name = "icon_src")
    @ApiModelProperty(value = "图片地址", required = false)
    private String iconSrc;


    @PrimaryKeyField
    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }


    public String getKeyCode() {
        return keyCode;
    }

    public void setKeyCode(String keyCode) {
        this.keyCode = keyCode;
    }


    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }


    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }


    public Integer getMinX() {
        return minX;
    }

    public void setMinX(Integer minX) {
        this.minX = minX;
    }


    public Integer getMaxX() {
        return maxX;
    }

    public void setMaxX(Integer maxX) {
        this.maxX = maxX;
    }


    public Integer getMinY() {
        return minY;
    }

    public void setMinY(Integer minY) {
        this.minY = minY;
    }


    public Integer getMaxY() {
        return maxY;
    }

    public void setMaxY(Integer maxY) {
        this.maxY = maxY;
    }


    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }


    public String getUnionId() {
        return unionId;
    }

    public void setUnionId(String unionId) {
        this.unionId = unionId;
    }


    public Long getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Long createTime) {
        this.createTime = createTime;
    }


    public String getIconSrc() {
        return iconSrc;
    }

    public void setIconSrc(String iconSrc) {
        this.iconSrc = iconSrc;
    }

}
